
TARGETS := gen_adj_matrix
TARGETS += floyd-sequential
TARGETS += floyd-parallel

CXXFLAGS := -fopenmp
#CXXFLAGS += -DPRINT_RESULT

OBJS := $(foreach target,$(TARGETS),$(target).o)

all: $(TARGETS)

$(TARGETS): $(OBJS)
	$(CXX) -o $@ $@.o $(CXXFLAGS)

clean:
	-rm -f *~ *.o $(TARGETS)
